var webpack = require('webpack');
var path = require('path');

var ExtractTextPlugin = require('extract-text-webpack-plugin');

config = {
    devtool: null,

    entry: {
        main: [
            './src/index.js'
        ]
    },

    output: {
        path: 'lib',
        filename: 'index.js'
    },

    module: {
        noParse: [
            /\/babel-core\/browser-polyfill\.js$/
        ],
        loaders: [{
            test: /\.jsx?$/,
            exclude: /node_modules[\/\\]/,
            loader: 'babel-loader'
        }, {
            test: /\.css$/,
            loader: ExtractTextPlugin.extract('style-loader', 'css-loader?modules&importLoaders=1&localIdentName=[hash:base64:4]'),
        }, {
            test: /\.(png|eot|woff2|ttf|svg|woff)$/,
            loader: 'url-loader'
        }, {
            test: /\.scss$/,
            loader: ExtractTextPlugin.extract('style-loader', 'css-loader?modules&importLoaders=1&localIdentName=[hash:base64:4]!sass-loader'),
        },  {
            test: require.resolve('react'),
            loader: 'expose?React'
        }, {
            test: require.resolve('react-dom'),
            loader: 'expose?ReactDOM'
        }]
    },
    plugins: [
        new webpack.ProvidePlugin({
            React: 'react',
            ReactDOM: 'react-dom',
        }),
        new ExtractTextPlugin("../../stylesheets/generated/app-bundle.css"),
        new webpack.DefinePlugin({
              'process.env':{
                'NODE_ENV': JSON.stringify('production')
              }
            }),
        new webpack.optimize.UglifyJsPlugin({ minimize: true }),
    ]

};

module.exports = config;
